### Signal

# Fwupd Client::changed

since: 0.7.0

#### Declaration

    void
    changed (
      FwupdClient* self,
      gpointer user_data
    )

#### Description [src]

The ::changed signal is emitted when the daemon internal has changed, for instance when a device has been added or removed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0.7.0